# $Revision: 1.28 $, $Date: 2008/12/25 19:20:42 $
#
# Conditional build:
%bcond_without	javadoc		# don't build javadoc

%include	/usr/lib/rpm/macros.java
Summary:	Commons Pool - object pooling interfaces
Summary(pl.UTF-8):	Commons Pool - interfejsy gospodarujące obiektami
Name:		java-commons-pool
Version:	1.3
Release:	3
License:	Apache
Group:		Libraries/Java
Source0:	http://www.apache.org/dist/commons/pool/source/commons-pool-%{version}-src.tar.gz
# Source0-md5:	a2dcdff75de2af76f5f2169494ed3499
Source1:	jakarta-commons-pool-tomcat5-build.xml
URL:		http://commons.apache.org/pool/
BuildRequires:	ant
BuildRequires:	java-commons-collections >= 1.0
BuildRequires:	jdk >= 1.2
BuildRequires:	jpackage-utils
BuildRequires:	rpm-javaprov
BuildRequires:	rpmbuild(macros) >= 1.300
Requires:	java-commons-collections >= 1.0
Requires:	jpackage-utils
Requires:	jre >= 1.2
Provides:	jakarta-commons-pool
Obsoletes:	jakarta-commons-pool
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The Pool package defines a generalized object pooling interfaces, and
provides several general-purpose implementations.

%description -l pl.UTF-8
Pakiet Pool definiuje uogólnione interfejsy gospodarowania obiektami
oraz dostarcza kilku implementacji ogólnego przeznaczenia.

%package javadoc
Summary:	Commons Pool documentation
Summary(pl.UTF-8):	Dokumentacja do Commons Pool
Group:		Documentation
Provides:	jakarta-commons-pool-javadoc
Obsoletes:	jakarta-commons-pool-doc
Obsoletes:	jakarta-commons-pool-javadoc

%description javadoc
Commons Pool documentation.

%description javadoc -l pl.UTF-8
Dokumentacja do Commons Pool.

%package tomcat5
Summary:	Commons Pool dependency for Tomcat5
Summary(pl.UTF-8):	Elementy Commons Pool dla Tomcata 5
Group:		Development/Languages/Java
Provides:	jakarta-commons-pool-tomcat5
Obsoletes:	jakarta-commons-pool-source
Obsoletes:	jakarta-commons-pool-tomcat5

%description tomcat5
Commons Pool dependency for Tomcat5.

%description tomcat5 -l pl.UTF-8
Elementy Commons Pool dla Tomcata 5.

%prep
%setup -q -n commons-pool-%{version}-src
cp %{SOURCE1} tomcat5-build.xml

%build
required_jars="commons-collections"
export CLASSPATH=$(build-classpath $required_jars)
%ant dist
%ant -f tomcat5-build.xml

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{_javadir}
cp -a dist/commons-pool-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/commons-pool-%{version}.jar
ln -s commons-pool-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/commons-pool.jar

cp -a pool-tomcat5/commons-pool-tomcat5.jar $RPM_BUILD_ROOT%{_javadir}/commons-pool-tomcat5-%{version}.jar
ln -sf commons-pool-tomcat5-%{version}.jar $RPM_BUILD_ROOT%{_javadir}/commons-pool-tomcat5.jar

# javadoc
%if %{with javadoc}
install -d $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
cp -a dist/docs/api/* $RPM_BUILD_ROOT%{_javadocdir}/%{name}-%{version}
ln -s %{name}-%{version} $RPM_BUILD_ROOT%{_javadocdir}/%{name} # ghost symlink
%endif

%clean
rm -rf $RPM_BUILD_ROOT

%post javadoc
ln -nfs %{name}-%{version} %{_javadocdir}/%{name}

%files
%defattr(644,root,root,755)
%doc dist/LICENSE.txt
%{_javadir}/commons-pool.jar
%{_javadir}/commons-pool-%{version}.jar

%files tomcat5
%defattr(644,root,root,755)
%{_javadir}/commons-pool-tomcat5.jar
%{_javadir}/commons-pool-tomcat5-%{version}.jar

%if %{with javadoc}
%files javadoc
%defattr(644,root,root,755)
%{_javadocdir}/%{name}-%{version}
%ghost %{_javadocdir}/%{name}
%endif

%define	date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: java-commons-pool.spec,v $
Revision 1.28  2008/12/25 19:20:42  pawelz
- s/jakarta/java in dependencies
- added Provides/Obsoletes old name in subpackages

Revision 1.27  2008/11/23 23:49:41  glen
- rename to java-commons-pool.spec

Revision 1.26  2008/01/14 20:09:43  qboosh
- pl for -tomcat5
- no more Jakarta in descs

Revision 1.25  2007-12-07 20:21:36  glen
- new urls; rel 3

Revision 1.24  2007-12-02 22:03:31  glen
- without jakarta in jar files

Revision 1.23  2007-12-02 21:33:52  glen
- build -tomcat5 dependency instead of -source for tomcat; rel 2

Revision 1.22  2007-04-14 07:37:23  qboosh
- pl for -source

Revision 1.21  2007/04/11 23:18:10  glen
- need src subdir

Revision 1.20  2007/04/11 23:06:56  glen
- create -source
- unify again

Revision 1.19  2007/04/11 16:36:36  glen
- just in case package the original jar

Revision 1.18  2007/04/11 16:04:08  baggins
- removed Strange Things

Revision 1.17  2007/04/11 15:59:57  baggins
- updated to 1.3
- removed obsolete java15 patch

Revision 1.16  2007/04/09 21:35:00  glen
- Group Documentation for -javadoc

Revision 1.15  2007/04/09 21:10:36  glen
- unify java package

Revision 1.14  2007/02/13 08:06:35  glen
- tabs in preamble

Revision 1.13  2007/02/12 00:48:57  baggins
- converted to UTF-8

Revision 1.12  2006/05/19 11:28:19  jajcus
- s/jakarta-ant/ant/ in BR

Revision 1.11  2006/05/15 10:54:16  ankry
- cosmetics

Revision 1.10  2005/05/08 19:32:54  qboosh
- more specific URL, use _javadir

Revision 1.9  2005/02/25 22:42:00  undefine
- up to 1.2

Revision 1.8  2004/12/14 16:59:55  baggins
- DON'T hardcode java paths!

Revision 1.7  2004/12/14 15:48:07  baggins
- DON'T hardcode paths!

Revision 1.6  2003/06/25 07:03:36  pascalek
- set JAVA_HOME
- add commons-collections to CLASSPATH

Revision 1.5  2003/06/25 06:57:06  pascalek
- BR jakarta-commons-collections

Revision 1.4  2003/05/28 12:59:13  malekith
- massive attack: source-md5

Revision 1.3  2003/05/25 05:49:05  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.2  2003/03/26 10:18:12  qboosh
- enhanced descriptions and dependencies

Revision 1.1  2003/03/10 20:01:58  misiek
- initial pld release
